## okteta 0.26.23+p24.04+vstable+git20260204.0904

=== debian/changelog ===
okteta (5:0.26.23+p24.04+vstable+git20260204.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 09:04:38 +0000
