=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.38.0~),
               libkf5bookmarks-dev (>= 5.38.0~),
               libkf5codecs-dev (>= 5.38.0~),
               libkf5completion-dev (>= 5.38.0~),
               libkf5configwidgets-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5doctools-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5kcmutils-dev (>= 5.38.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5newstuff-dev (>= 5.38.0~),
               libkf5parts-dev (>= 5.38.0~),
               libkf5service-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.23~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
               shared-mime-info (>= 0.30),
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/okteta.git
Vcs-Browser: https://invent.kde.org/neon/extras/okteta
Maintainer: Neon CI <neon@kde.org>

Package: libkasten4controllers0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten4core0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkasten3core3 (<< 5:0.26.0),
        libokteta-l10n (<< ${source:Version}~ciBuild),
        ${kde-l10n:all}
Replaces: libkasten3core3 (<< 5:0.26.0),
          libokteta-l10n (<< ${source:Version}~ciBuild),
          ${kde-l10n:all}
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3core3
Architecture: all
Depends: libkasten4core0, ${misc:Depends}
Description: transitional package
 transitional package which can be removed

Package: libkasten4gui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten4okteta2controllers0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten4okteta2core0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkasten3okteta1core1 (<< 5:0.26.0),
        libokteta-l10n (<< ${source:Version}~ciBuild),
        ${kde-l10n:all}
Replaces: libkasten3okteta1core1 (<< 5:0.26.0),
          libokteta-l10n (<< ${source:Version}~ciBuild),
          ${kde-l10n:all}
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1core1
Architecture: all
Depends: libkasten4okteta2core0, ${misc:Depends}
Description: transitional package
 transitional package for libkasten4okteta2core0 which can be removed

Package: libkasten4okteta2gui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta3core0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libokteta-l10n (<< ${source:Version}~ciBuild),
        libokteta2core2 (<< 5:0.26.0),
        ${kde-l10n:all}
Replaces: libokteta-l10n (<< ${source:Version}~ciBuild),
          libokteta2core2 (<< 5:0.26.0),
          ${kde-l10n:all}
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta2core2
Architecture: all
Depends: libokteta3core0, ${misc:Depends}
Description: transitional package
 Transitional package for libokteta3core0

Package: libokteta3gui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libokteta-l10n (<< ${source:Version}~ciBuild),
        libokteta2gui2 (<< 5:0.26.0),
        ${kde-l10n:all}
Replaces: libokteta-l10n (<< ${source:Version}~ciBuild),
          libokteta2gui2 (<< 5:0.26.0),
          ${kde-l10n:all}
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta2gui2
Architecture: all
Depends: libokteta3gui0, ${misc:Depends}
Description: transitional package
 Transitional package for libokteta3gui0

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in two variants: as the numeric values of the bytes
 and as the character assigned to the values. Values and characters can be
 shown either in two columns (the traditional display in hex editors) or in
 rows with the value on top of the character. Editing can be done both for
 the values and for the characters.
 .
 Besides the usual editing capabilities Okteta also brings a small set of
 tools, like a table listing decodings into common simple data types, a table
 listing all possible bytes with their character and value equivalents, an
 info view with a statistic, a checksum calculator, a filter tool and a string
 extraction tool.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dev
Architecture: any
Section: devel
Depends: libkf5kio-dev,
         libkf5xmlgui-dev (>= 5.38.0~),
         qtbase5-dev (>= 5.9~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends}
Breaks: okteta (<< 5:0.25.4)
Replaces: okteta (<< 5:0.25.4)
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta-l10n
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkasten4core0,
         libkasten4okteta2core0,
         libokteta3core0,
         libokteta3gui0,
         ${misc:Depends}
Description: transitional package
 Transitional package for libokteta4gui0
