## okteta 0.26.23+p24.04+vunstable+git20251123.1238

=== libs/CMakeLists.txt ===
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( kasten )
    add_subdirectory( framesprint )
endif()
